% Calcoliamo la linearizzazione approssimata in x = [x1_d,x2_d,x3_d] e con

u_d = (Ta*m)/((V*rho_a - m)*theta_t)

[A_balloon,B_balloon,C_balloon,D_balloon] = linmod('balloon_model',[x1_d,x2_d,x3_d],u_d);

Q_balloon = [1 0 0; 0 10 0; 0 0 1];
R_balloon = 0.1;

[K,S,E] = lqr(A_balloon,B_balloon,Q_balloon,R_balloon)